using System.ComponentModel.DataAnnotations;

namespace BMA.EHR.Recurit.Exam.Service.Models.Disables
{
    public class DisablePayment : EntityBase
    {
        [MaxLength(50)]
        public string PaymentId { get; set; }

        [MaxLength(50)]
        public string CompanyCode { get; set; }

        [MaxLength(50)]
        public string TextFile { get; set; }

        [MaxLength(50)]
        public string BankCode { get; set; }

        [MaxLength(50)]
        public string AccountNumber { get; set; }

        [MaxLength(50)]
        public string TransDate { get; set; }

        [MaxLength(50)]
        public string TransTime { get; set; }

        [MaxLength(200)]
        public string CustomerName { get; set; }

        [MaxLength(50)]
        public string RefNo1 { get; set; }

        [MaxLength(50)]
        public string TermBranch { get; set; }

        [MaxLength(50)]
        public string TellerId { get; set; }

        [MaxLength(50)]
        public string CreditDebit { get; set; }

        [MaxLength(50)]
        public string PaymentType { get; set; }

        [MaxLength(50)]
        public string ChequeNo { get; set; }

        public decimal Amount { get; set; }

        [MaxLength(50)]
        public string ChqueBankCode { get; set; }

        public Disable Disable { get; set; }
    }
}
